public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Joonas Niilola" <juippis@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-libs/check/
Date: Sun, 27 Oct 2019 07:07:28 +0000 (UTC)	[thread overview]
Message-ID: <1572160031.a04a5656720e4da5f119f6f28cf0f550468c945e.juippis@gentoo> (raw)

commit:     a04a5656720e4da5f119f6f28cf0f550468c945e
Author:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
AuthorDate: Sun Oct 27 07:07:11 2019 +0000
Commit:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Sun Oct 27 07:07:11 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a04a5656

dev-libs/check: bump to 0.13.0

Package-Manager: Portage-2.3.78, Repoman-2.3.17
Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>

 dev-libs/check/Manifest            |  1 +
 dev-libs/check/check-0.13.0.ebuild | 58 ++++++++++++++++++++++++++++++++++++++
 2 files changed, 59 insertions(+)

diff --git a/dev-libs/check/Manifest b/dev-libs/check/Manifest
index 67762185f55..1a02283e0aa 100644
--- a/dev-libs/check/Manifest
+++ b/dev-libs/check/Manifest
@@ -1,2 +1,3 @@
 DIST check-0.10.0.tar.gz 769119 BLAKE2B d5e256bef4aa010322844ce748e620ce884658d74b14e1ea5b0e1bbd4565ef7b0cb7b86d315a36f7a5e4d225e40f242ff9730790bd55fc036757b4296396d153 SHA512 82103a98382c41cf16f172ded66c0399d3da6eceb6728aab11120c028e8796f6d545a98dc4aa5f76ee68c0bfd1f842a4dd371f5d670c8ba84ce4209812bf1ac5
 DIST check-0.12.0-github.tar.gz 281127 BLAKE2B d7dc89c10022594a37e9a4bc6b9fe1e8f355af864a5012c292cc3f1152e9e3e9be01fa34b39e5168f65650e540f36dbc8195952908a871d1c111283429f2f538 SHA512 f7b6452b69f999a90e86a8582d980c0c1b74ba5629ee34455724463ba62bfe3501ad0415aa771170f5c638a7a253f123bf87cbef25aadc6569a7a3a4d10fce90
+DIST check-0.13.0.tar.gz 301386 BLAKE2B fbc79ad9f0bacd7c7461cde631a499d92e004233b5d35ba35cb0791195362e12fc21ca059e2019280cbf256215528af239de988755e0183cb6e332a5b145624e SHA512 7943021c5bc3b5ca7bc552f6fe1287e384724d69e5bb128d58256692e810b194e506fc1b65ea4fed27d065e2176e7371483e918beb48125abfe3b6f1ca68eb8f

diff --git a/dev-libs/check/check-0.13.0.ebuild b/dev-libs/check/check-0.13.0.ebuild
new file mode 100644
index 00000000000..dad18b128cb
--- /dev/null
+++ b/dev-libs/check/check-0.13.0.ebuild
@@ -0,0 +1,58 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit autotools multilib-minimal
+
+DESCRIPTION="A unit test framework for C"
+HOMEPAGE="https://libcheck.github.io/check/"
+SRC_URI="https://github.com/lib${PN}/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~x64-solaris ~x86-solaris"
+IUSE="doc static-libs subunit test"
+
+# https://github.com/libcheck/check/issues/208
+RESTRICT="test"
+#RESTRICT="!test? ( test )"
+
+RDEPEND="subunit? ( dev-python/subunit[${MULTILIB_USEDEP}] )"
+DEPEND="${RDEPEND}
+	sys-apps/texinfo"
+BDEPEND="doc? ( app-doc/doxygen )"
+
+src_prepare() {
+	default
+	eautoreconf
+}
+
+multilib_src_configure() {
+	local myeconfargs=(
+		--disable-dependency-tracking
+		$(use_enable doc build-docs)
+		$(use_enable subunit)
+		$(use_enable test timeout-tests)
+	)
+	ECONF_SOURCE="${S}" econf "${myeconfargs[@]}"
+}
+
+multilib_src_compile() {
+	default
+}
+
+src_compile() {
+	if use doc; then
+		cd doc/ || die "Failed to switch directories."
+		doxygen "." || die "Failed to run doxygen to generate docs."
+	fi
+}
+
+multilib_src_install_all() {
+	use doc && local HTML_DOCS=( doc/html/. )
+	default
+
+	rm -r "${ED}/usr/share/doc/check/" || die "Failed to remove COPYING* files"
+	find "${ED}" \( -name "*.a" -o -name "*.la" \) -delete || die
+}


             reply	other threads:[~2019-10-27  7:07 UTC|newest]

Thread overview: 92+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2019-10-27  7:07 Joonas Niilola [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-03-16 21:14 [gentoo-commits] repo/gentoo:master commit in: dev-libs/check/ Andreas Sturmlechner
2025-03-14 16:48 Sam James
2025-03-09 10:21 Sam James
2025-03-09 10:21 Sam James
2025-03-09 10:21 Sam James
2025-03-09  9:26 Sam James
2025-03-09  9:26 Sam James
2025-03-09  9:25 Sam James
2025-03-09  9:21 Sam James
2025-02-26  7:18 Joonas Niilola
2022-05-08  3:10 WANG Xuerui
2020-09-27 10:27 Joonas Niilola
2020-09-13 10:50 Sergei Trofimovich
2020-09-13  8:38 Sergei Trofimovich
2020-09-13  8:30 Sergei Trofimovich
2020-09-12 16:57 Sam James
2020-09-12 16:57 Sam James
2020-09-12  8:16 Joonas Niilola
2020-09-12  8:16 Joonas Niilola
2020-09-08  6:25 Joonas Niilola
2020-09-07 15:43 Joonas Niilola
2020-09-07 15:43 Joonas Niilola
2020-09-07 15:43 Joonas Niilola
2020-08-09  8:49 Joonas Niilola
2020-08-05 14:06 Agostino Sarubbo
2020-07-27 18:36 Sergei Trofimovich
2020-07-27 13:54 Sam James
2020-07-25 11:26 Joonas Niilola
2020-07-25 11:16 Sam James
2020-07-25  8:42 Sergei Trofimovich
2020-07-23  7:33 Joonas Niilola
2020-07-22  6:20 Joonas Niilola
2020-07-22  6:20 Joonas Niilola
2020-06-22  8:58 Joonas Niilola
2020-05-27  6:18 Joonas Niilola
2020-05-27  6:18 Joonas Niilola
2020-05-27  6:18 Joonas Niilola
2020-05-12  6:36 Agostino Sarubbo
2020-05-11 18:33 Mart Raudsepp
2020-05-09 19:43 Sergei Trofimovich
2020-05-09  7:48 Agostino Sarubbo
2020-05-08 17:15 Agostino Sarubbo
2020-05-08 17:10 Agostino Sarubbo
2020-05-08 10:47 Agostino Sarubbo
2020-04-04 15:56 Sergei Trofimovich
2020-03-26 18:15 Joonas Niilola
2020-03-25 11:17 Joonas Niilola
2020-03-21  9:24 Mart Raudsepp
2020-03-02 15:22 Agostino Sarubbo
2020-03-02 12:39 Agostino Sarubbo
2020-03-02 12:38 Agostino Sarubbo
2020-03-02 12:34 Agostino Sarubbo
2020-03-02 12:29 Agostino Sarubbo
2020-03-02 12:28 Agostino Sarubbo
2020-02-29  9:02 Joonas Niilola
2020-02-29  9:02 Joonas Niilola
2020-02-02  8:08 Joonas Niilola
2019-10-03 15:42 Joonas Niilola
2019-05-04 13:18 Mikle Kolyada
2018-04-26  5:28 Matt Turner
2018-04-26  5:28 Matt Turner
2018-04-22  8:22 Mart Raudsepp
2018-03-25 17:18 Markus Meier
2018-03-22  0:15 Matt Turner
2018-03-20  9:15 Sergei Trofimovich
2018-03-20  9:07 Sergei Trofimovich
2018-03-04 11:34 Tobias Klausmann
2018-02-19  8:37 Sergei Trofimovich
2018-02-18  8:34 Sergei Trofimovich
2018-02-06 15:10 Thomas Deutschmann
2018-01-27 19:07 Mike Frysinger
2018-01-23 22:06 Patrice Clement
2018-01-15 19:03 Tobias Klausmann
2017-11-03 13:26 Michael Palimaka
2017-10-31 23:28 Sergei Trofimovich
2017-10-25  7:47 Lars Wendler
2017-08-19  0:31 Thomas Deutschmann
2017-07-15 15:17 Tobias Klausmann
2017-06-04 11:54 Sergei Trofimovich
2017-04-21 10:08 Kent Fredric
2017-03-10 16:59 Michael Weber
2017-03-01  0:31 Michael Weber
2017-01-29 16:07 Fabian Groffen
2016-12-23  8:46 Lars Wendler
2016-10-09  7:19 Jeroen Roovers
2016-10-05 19:08 Markus Meier
2016-10-01 12:19 Jeroen Roovers
2016-09-29  9:09 Tobias Klausmann
2016-08-12 20:48 Michael Orlitzky
2016-08-12 20:48 Michael Orlitzky
2016-08-07  7:25 Pacho Ramos

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1572160031.a04a5656720e4da5f119f6f28cf0f550468c945e.juippis@gentoo \
    --to=juippis@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox